clang-tools 8.0.0

Public Attributes | List of all members
clang::clangd::DidChangeTextDocumentParams Struct Reference

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::DidChangeTextDocumentParams:
[legend]

## Public Attributes
TextDocumentIdentifier | textDocument
| The document that did change. More...
std::vector< TextDocumentContentChangeEvent > | contentChanges
| The actual content changes. More...
llvm::Optional< bool > | wantDiagnostics
| Forces diagnostics to be generated, or to not be generated, for this version of the file. More...

## Detailed Description

Definition at line 462 of file Protocol.h.

## Member Data Documentation

## ◆ contentChanges

std::vector<TextDocumentContentChangeEvent> clang::clangd::DidChangeTextDocumentParams::contentChanges

The actual content changes.

Definition at line 469 of file Protocol.h.

Referenced by clang::clangd::fromJSON().

## ◆ textDocument

TextDocumentIdentifier clang::clangd::DidChangeTextDocumentParams::textDocument

The document that did change.

The version number points to the version after all provided content changes have been applied.

Definition at line 466 of file Protocol.h.

Referenced by clang::clangd::fromJSON().

## ◆ wantDiagnostics

llvm::Optional<bool> clang::clangd::DidChangeTextDocumentParams::wantDiagnostics

Forces diagnostics to be generated, or to not be generated, for this version of the file.

If not set, diagnostics are eventually consistent: either they will be provided for this version or some subsequent one. This is a clangd extension.

Definition at line 475 of file Protocol.h.

Referenced by clang::clangd::fromJSON().

The documentation for this struct was generated from the following file:

- Protocol.h